=== lavtools/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# lavtools/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for lavtools



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mjpegtools
pkglibdir = $(libdir)/mjpegtools
pkgincludedir = $(includedir)/mjpegtools
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
#am__append_1 = $(top_builddir)/mpeg2enc/libmpeg2encpp.la
am__append_2 = liblavrec.la
am__append_3 = liblavplay.la
am__append_4 = $(X_LIBS) -lX11
bin_PROGRAMS = mjpeg_simd_helper$(EXEEXT) lav2wav$(EXEEXT) \
	lav2yuv$(EXEEXT) lavaddwav$(EXEEXT) lavtrans$(EXEEXT) \
	ypipe$(EXEEXT) yuv2lav$(EXEEXT) transist.flt$(EXEEXT) \
	matteblend.flt$(EXEEXT) multiblend.flt$(EXEEXT) \
	lavpipe$(EXEEXT) jpeg2yuv$(EXEEXT) ppmtoy4m$(EXEEXT) \
	pnmtoy4m$(EXEEXT) y4mtoppm$(EXEEXT) y4mtopnm$(EXEEXT) \
	y4mcolorbars$(EXEEXT) lavinfo$(EXEEXT) y4mstabilizer$(EXEEXT) \
	yuvfps$(EXEEXT) yuvinactive$(EXEEXT) $(am__EXEEXT_1) \
	$(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4) \
	$(am__EXEEXT_5)
am__append_5 = glav
am__append_6 = yuvplay
am__append_7 = lavrec testrec lavvideo
am__append_8 = lavplay
am__append_9 = png2yuv
subdir = lavtools
DIST_COMMON = $(liblavinclude_HEADERS) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(liblavincludedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
#am__DEPENDENCIES_1 =  \
#	$(top_builddir)/mpeg2enc/libmpeg2encpp.la
am__DEPENDENCIES_2 = $(top_builddir)/utils/libmjpegutils.la \
	$(am__DEPENDENCIES_1)
liblavfile_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_liblavfile_la_OBJECTS = liblavfile_la-editlist.lo \
	liblavfile_la-lav_io.lo liblavfile_la-avilib.lo
liblavfile_la_OBJECTS = $(am_liblavfile_la_OBJECTS)
liblavjpeg_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_liblavjpeg_la_OBJECTS = liblavjpeg_la-jpegutils.lo
liblavjpeg_la_OBJECTS = $(am_liblavjpeg_la_OBJECTS)
am__DEPENDENCIES_3 =
am__DEPENDENCIES_4 = $(am__DEPENDENCIES_3)
am_liblavplay_la_OBJECTS = liblavplay_la-liblavplay.lo \
	liblavplay_la-audiolib.lo
liblavplay_la_OBJECTS = $(am_liblavplay_la_OBJECTS)
am_liblavplay_la_rpath = -rpath $(libdir)
am_liblavrec_la_OBJECTS = liblavrec_la-liblavrec.lo \
	liblavrec_la-audiolib.lo liblavrec_la-frequencies.lo
liblavrec_la_OBJECTS = $(am_liblavrec_la_OBJECTS)
am_liblavrec_la_rpath = -rpath $(libdir)
am__EXEEXT_1 = glav$(EXEEXT)
am__EXEEXT_2 = yuvplay$(EXEEXT)
am__EXEEXT_3 = lavrec$(EXEEXT) testrec$(EXEEXT) \
	lavvideo$(EXEEXT)
am__EXEEXT_4 = lavplay$(EXEEXT)
am__EXEEXT_5 = png2yuv$(EXEEXT)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_glav_OBJECTS = glav-glav.$(OBJEXT) glav-glav_main.$(OBJEXT)
glav_OBJECTS = $(am_glav_OBJECTS)
glav_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
am_jpeg2yuv_OBJECTS = jpeg2yuv-jpeg2yuv.$(OBJEXT)
jpeg2yuv_OBJECTS = $(am_jpeg2yuv_OBJECTS)
jpeg2yuv_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavjpeg.la \
	$(am__DEPENDENCIES_3)
am_lav2wav_OBJECTS = lav2wav.$(OBJEXT)
lav2wav_OBJECTS = $(am_lav2wav_OBJECTS)
lav2wav_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la
am_lav2yuv_OBJECTS = lav2yuv-lav2yuv.$(OBJEXT) \
	lav2yuv-lav_common.$(OBJEXT)
lav2yuv_OBJECTS = $(am_lav2yuv_OBJECTS)
lav2yuv_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la \
	liblavjpeg.la
am_lavaddwav_OBJECTS = lavaddwav.$(OBJEXT)
lavaddwav_OBJECTS = $(am_lavaddwav_OBJECTS)
lavaddwav_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la
am_lavinfo_OBJECTS = lavinfo.$(OBJEXT)
lavinfo_OBJECTS = $(am_lavinfo_OBJECTS)
lavinfo_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la
am_lavpipe_OBJECTS = lavpipe.$(OBJEXT) pipelist.$(OBJEXT)
lavpipe_OBJECTS = $(am_lavpipe_OBJECTS)
lavpipe_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_lavplay_OBJECTS = lavplay.$(OBJEXT)
lavplay_OBJECTS = $(am_lavplay_OBJECTS)
lavplay_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavplay.la \
	liblavjpeg.la liblavfile.la $(am__DEPENDENCIES_3) \
	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_4)
am_lavrec_OBJECTS = lavrec.$(OBJEXT)
lavrec_OBJECTS = $(am_lavrec_OBJECTS)
lavrec_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavrec.la liblavfile.la \
	liblavjpeg.la $(am__DEPENDENCIES_3)
am_lavtrans_OBJECTS = lavtrans.$(OBJEXT)
lavtrans_OBJECTS = $(am_lavtrans_OBJECTS)
lavtrans_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la
am_lavvideo_OBJECTS = lavvideo.$(OBJEXT) frequencies.$(OBJEXT)
lavvideo_OBJECTS = $(am_lavvideo_OBJECTS)
lavvideo_LDADD = $(LDADD)
am_matteblend_flt_OBJECTS = matteblend.flt.$(OBJEXT)
matteblend_flt_OBJECTS = $(am_matteblend_flt_OBJECTS)
matteblend_flt_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_mjpeg_simd_helper_OBJECTS = mjpeg_simd_helper.$(OBJEXT)
mjpeg_simd_helper_OBJECTS = $(am_mjpeg_simd_helper_OBJECTS)
mjpeg_simd_helper_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_multiblend_flt_OBJECTS = multiblend.flt.$(OBJEXT)
multiblend_flt_OBJECTS = $(am_multiblend_flt_OBJECTS)
multiblend_flt_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_png2yuv_OBJECTS = png2yuv.$(OBJEXT) colorspace.$(OBJEXT) \
	subsample.$(OBJEXT)
png2yuv_OBJECTS = $(am_png2yuv_OBJECTS)
png2yuv_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_pnmtoy4m_OBJECTS = pnmtoy4m.$(OBJEXT) colorspace.$(OBJEXT)
pnmtoy4m_OBJECTS = $(am_pnmtoy4m_OBJECTS)
pnmtoy4m_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_ppmtoy4m_OBJECTS = ppmtoy4m.$(OBJEXT) colorspace.$(OBJEXT) \
	subsample.$(OBJEXT)
ppmtoy4m_OBJECTS = $(am_ppmtoy4m_OBJECTS)
ppmtoy4m_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_testrec_OBJECTS = testrec.$(OBJEXT) audiolib.$(OBJEXT)
testrec_OBJECTS = $(am_testrec_OBJECTS)
testrec_DEPENDENCIES = $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_2)
am_transist_flt_OBJECTS = transist.flt.$(OBJEXT)
transist_flt_OBJECTS = $(am_transist_flt_OBJECTS)
transist_flt_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mcolorbars_OBJECTS = y4mcolorbars.$(OBJEXT) colorspace.$(OBJEXT) \
	subsample.$(OBJEXT)
y4mcolorbars_OBJECTS = $(am_y4mcolorbars_OBJECTS)
y4mcolorbars_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mstabilizer_OBJECTS = y4mstabilizer.$(OBJEXT) subsample.$(OBJEXT)
y4mstabilizer_OBJECTS = $(am_y4mstabilizer_OBJECTS)
y4mstabilizer_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mtopnm_OBJECTS = y4mtopnm.$(OBJEXT) colorspace.$(OBJEXT)
y4mtopnm_OBJECTS = $(am_y4mtopnm_OBJECTS)
y4mtopnm_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mtoppm_OBJECTS = y4mtoppm.$(OBJEXT) colorspace.$(OBJEXT) \
	subsample.$(OBJEXT)
y4mtoppm_OBJECTS = $(am_y4mtoppm_OBJECTS)
y4mtoppm_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_ypipe_OBJECTS = ypipe.$(OBJEXT)
ypipe_OBJECTS = $(am_ypipe_OBJECTS)
ypipe_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuv2lav_OBJECTS = yuv2lav.$(OBJEXT)
yuv2lav_OBJECTS = $(am_yuv2lav_OBJECTS)
yuv2lav_DEPENDENCIES = $(am__DEPENDENCIES_2) liblavfile.la \
	liblavjpeg.la $(am__DEPENDENCIES_3)
am_yuvfps_OBJECTS = yuvfps.$(OBJEXT)
yuvfps_OBJECTS = $(am_yuvfps_OBJECTS)
yuvfps_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuvinactive_OBJECTS = yuvinactive.$(OBJEXT)
yuvinactive_OBJECTS = $(am_yuvinactive_OBJECTS)
yuvinactive_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuvplay_OBJECTS = yuvplay.$(OBJEXT)
yuvplay_OBJECTS = $(am_yuvplay_OBJECTS)
yuvplay_DEPENDENCIES = $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_2)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(liblavfile_la_SOURCES) $(liblavjpeg_la_SOURCES) \
	$(liblavplay_la_SOURCES) $(liblavrec_la_SOURCES) \
	$(glav_SOURCES) $(jpeg2yuv_SOURCES) $(lav2wav_SOURCES) \
	$(lav2yuv_SOURCES) $(lavaddwav_SOURCES) $(lavinfo_SOURCES) \
	$(lavpipe_SOURCES) $(lavplay_SOURCES) $(lavrec_SOURCES) \
	$(lavtrans_SOURCES) $(lavvideo_SOURCES) \
	$(matteblend_flt_SOURCES) $(mjpeg_simd_helper_SOURCES) \
	$(multiblend_flt_SOURCES) $(png2yuv_SOURCES) \
	$(pnmtoy4m_SOURCES) $(ppmtoy4m_SOURCES) $(testrec_SOURCES) \
	$(transist_flt_SOURCES) $(y4mcolorbars_SOURCES) \
	$(y4mstabilizer_SOURCES) $(y4mtopnm_SOURCES) \
	$(y4mtoppm_SOURCES) $(ypipe_SOURCES) $(yuv2lav_SOURCES) \
	$(yuvfps_SOURCES) $(yuvinactive_SOURCES) $(yuvplay_SOURCES)
DIST_SOURCES = $(liblavfile_la_SOURCES) $(liblavjpeg_la_SOURCES) \
	$(liblavplay_la_SOURCES) $(liblavrec_la_SOURCES) \
	$(glav_SOURCES) $(jpeg2yuv_SOURCES) $(lav2wav_SOURCES) \
	$(lav2yuv_SOURCES) $(lavaddwav_SOURCES) $(lavinfo_SOURCES) \
	$(lavpipe_SOURCES) $(lavplay_SOURCES) $(lavrec_SOURCES) \
	$(lavtrans_SOURCES) $(lavvideo_SOURCES) \
	$(matteblend_flt_SOURCES) $(mjpeg_simd_helper_SOURCES) \
	$(multiblend_flt_SOURCES) $(png2yuv_SOURCES) \
	$(pnmtoy4m_SOURCES) $(ppmtoy4m_SOURCES) $(testrec_SOURCES) \
	$(transist_flt_SOURCES) $(y4mcolorbars_SOURCES) \
	$(y4mstabilizer_SOURCES) $(y4mtopnm_SOURCES) \
	$(y4mtoppm_SOURCES) $(ypipe_SOURCES) $(yuv2lav_SOURCES) \
	$(yuvfps_SOURCES) $(yuvinactive_SOURCES) $(yuvplay_SOURCES)
liblavincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(liblavinclude_HEADERS) $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run aclocal-1.9
ALTIVEC_EXTRA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run automake-1.9
AWK = gawk
CC = gcc
CCAS = gcc
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread -Wall -Wunused
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LDFLAGS = 
F77 = 
FFLAGS =
