=== mpeg2enc/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# mpeg2enc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Automake Makefile template for mpeg2enc++ library 
# and mpeg2enc command line wrapper.
#



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mjpegtools
pkglibdir = $(libdir)/mjpegtools
pkgincludedir = $(includedir)/mjpegtools
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
bin_PROGRAMS = mpeg2enc$(EXEEXT)
subdir = mpeg2enc
DIST_COMMON = README $(libmpeg2encpp_include_HEADERS) \
	$(noinst_HEADERS) $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog INSTALL TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(libmpeg2encpp_includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 = $(top_builddir)/utils/libmjpegutils.la
am__libmpeg2encpp_la_SOURCES_DIST = conform.cc elemstrmwriter.cc \
	encoderparams.cc macroblock.cc motionest.cc mpeg2coder.cc \
	mpeg2encoptions.cc imageplanes.cc mpeg2encoder.cc picture.cc \
	picturereader.cc predict.cc putpic.cc streamstate.cc \
	seqencoder.cc quantize.cc ratectl.cc stats.cc synchrolib.cc \
	tables.c transfrm.cc fdct.c idct.c predict_ref.c \
	quantize_ref.c transfrm_ref.c fdct_x86.c fdct_mmx.c idct_mmx.c \
	quant_mmx.c predict_mmx.c predcomp_mmx.c predcomp_mmxe.c \
	predict_x86.c quantize_x86.c transfrm_x86.c ontheflyratectl.cc \
	pass2ratectl.cc pass1ratectl.cc rate_complexity_model.cc
am__objects_1 = fdct.lo idct.lo predict_ref.lo quantize_ref.lo \
	transfrm_ref.lo
am__objects_2 = fdct_x86.lo fdct_mmx.lo idct_mmx.lo quant_mmx.lo \
	predict_mmx.lo predcomp_mmx.lo predcomp_mmxe.lo predict_x86.lo \
	quantize_x86.lo transfrm_x86.lo
am__objects_3 = $(am__objects_2)
am_libmpeg2encpp_la_OBJECTS = conform.lo elemstrmwriter.lo \
	encoderparams.lo macroblock.lo motionest.lo mpeg2coder.lo \
	mpeg2encoptions.lo imageplanes.lo mpeg2encoder.lo picture.lo \
	picturereader.lo predict.lo putpic.lo streamstate.lo \
	seqencoder.lo quantize.lo ratectl.lo stats.lo synchrolib.lo \
	tables.lo transfrm.lo $(am__objects_1) $(am__objects_3) \
	ontheflyratectl.lo pass2ratectl.lo pass1ratectl.lo \
	rate_complexity_model.lo
libmpeg2encpp_la_OBJECTS = $(am_libmpeg2encpp_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_mpeg2enc_OBJECTS = mpeg2enc.$(OBJEXT)
mpeg2enc_OBJECTS = $(am_mpeg2enc_OBJECTS)
am__DEPENDENCIES_2 =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmpeg2encpp_la_SOURCES) $(mpeg2enc_SOURCES)
DIST_SOURCES = $(am__libmpeg2encpp_la_SOURCES_DIST) \
	$(mpeg2enc_SOURCES)
libmpeg2encpp_includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libmpeg2encpp_include_HEADERS) $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run aclocal-1.9
ALTIVEC_EXTRA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run automake-1.9
AWK = gawk
CC = gcc
CCAS = gcc
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread -Wall -Wunused
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LDFLAGS = 
F77 = 
FFLAGS = 
GTK_CFLAGS = -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/libpng12 -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include  
GTK_LIBS = -L/usr/X11R6/lib -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lfreetype -lfontconfig -lXrender -lX11 -lXext -lpng12 -lz -lglitz -lm  
HAVE_ALTIVEC_FALSE = 
HAVE_ALTIVEC_TRUE = #
HAVE_ASM_MMX_FALSE = #
HAVE_ASM_MMX_TRUE = 
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
HAVE_LIBPNG_FALSE = #
HAVE_LIBPNG_TRUE = 
HAVE_LIBQUICKTIME_FALSE = #
HAVE_LIBQUICKTIME_TRUE = 
HAVE_PPCCPU_FALSE = 
HAVE_PPCCPU_TRUE = #
HAVE_SDL_FALSE = #
HAVE_SDL_TRUE = 
HAVE_V4L_FALSE = #
HAVE_V4L_OR_SDL_FALSE = #
HAVE_V4L_OR_SDL_TRUE = 
HAVE_V4L_TRUE = 
HAVE_X86CPU_FALSE = #
HAVE_X86CPU_TRUE = 
HAVE_X_FALSE = #
HAVE_X_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JPEG_CFLAGS = 
JPEG_LIBS = -ljpeg
LDFLAGS = 
LIBDV_CFLAGS =  
LIBDV_LIBS = -ldv -lm  
LIBGETOPT_LIB = 
LIBM_LIBS = -lm 
LIBOBJS = 
LIBPNG_CFLAGS = -I/usr/include/libpng12  
LIBPNG_LIBS = -lpng12 -lz -lm  
LIBQUICKTIME_CFLAGS = -I/usr/local/include/lqt  
LIBQUICKTIME_LIBS = -L/usr/local/lib -lquicktime -lpthread -lm -lz -ldl  
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 1
LT_CURRENT = 1
LT_RELEASE = 1.9
LT_REVISION = 1
LT_STATIC = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run makeinfo
OBJEXT = o
PACKAGE = mjpegtools
PACKAGE_BUGREPORT = mjpeg-developer@lists.sourceforge.net
PACKAGE_NAME = mjpegtools
PACKAGE_STRING = mjpegtools 1.9.0
PACKAGE_TARNAME = mjpegtools
PACKAGE_VERSION = 1.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PROGRAM_NOPIC = -fno-PIC
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SDLgfx_LIBS = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
V4LCONF_LIBS =  -L/usr/X11R6/lib -lXxf86dga
VERSION = 1.9.0
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
acx_pthread_config = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux
build_alias = 
build_cpu = i686
build_os = linux
build_vendor = suse
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-suse-linux
host_alias = 
host_cpu = i686
host_os = linux
host_vendor = suse
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-suse-linux
target_alias = 
target_cpu = i686
target_os = linux
target_vendor = suse
mpeg2encpp_MMXSSE_INLINE = \
	fdct_x86.c \
	fdct_mmx.c \
	idct_mmx.c \
	quant_mmx.c \
	predict_mmx.c \
	predcomp_mmx.c \
	predcomp_mmxe.c \
	predict_x86.c \
	quantize_x86.c \
	transfrm_x86.c

EXTRA_DIST = NOTES README TODO INSTALL ChangeLog seqstats.cc seqstats.hh
MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/utils
LIBMJPEGUTILS = $(top_builddir)/utils/libmjpegutils.la
lib_LTLIBRARIES = libmpeg2encpp.la
SIMD_INLINE = $(mpeg2encpp_MMXSSE_INLINE)

# Reference implementations of lowlevel routines that may have Architecture
# dependent (usually SIMD) implementations
mpeg2enc_REF = \
	fdct.c \
	idct.c \
	predict_ref.c \
	quantize_ref.c \
	transfrm_ref.c

mpeg2enc_noinst_header_REF = \
	transfrm_ref.h

mpeg2enc_inst_header_REF = \
	predict_ref.h

mpeg2enc_SOURCES = mpeg2enc.cc
libmpeg2encpp_la_SOURCES = conform.cc elemstrmwriter.cc encoderparams.cc \
		macroblock.cc motionest.cc mpeg2coder.cc mpeg2encoptions.cc \
		imageplanes.cc mpeg2encoder.cc \
		picture.cc picturereader.cc predict.cc putpic.cc \
		streamstate.cc seqencoder.cc \
		quantize.cc ratectl.cc stats.cc synchrolib.cc tables.c \
		transfrm.cc $(mpeg2enc_REF) \
		$(SIMD_INLINE) ontheflyratectl.cc pass2ratectl.cc pass1ratectl.cc \
	rate_complexity_model.cc

noinst_HEADERS = channel.hh quantize_precomp.h simd.h \
	tables.h $(mpeg2enc_noinst_header_REF) rate_complexity_model.hh

libmpeg2encpp_includedir = $(pkgincludedir)/mpeg2enc
libmpeg2encpp_include_HEADERS = elemstrmwriter.hh encoderparams.hh \
	encodertypes.h macroblock.hh mpeg2coder.hh mpeg2encoder.hh mpeg2encoptions.hh \
	mpeg2encparams.h picture.hh picturereader.hh quantize.hh quantize_ref.h ratectl.hh \
	streamstate.h seqencoder.hh synchrolib.h syntaxconsts.h $(mpeg2enc_inst_header_REF) \
	ontheflyratectl.hh pass1ratectl.hh pass2ratectl.hh \
	mpeg2syntaxcodes.h imageplanes.hh

libmpeg2encpp_la_LDFLAGS = \
	${LT_STATIC} \
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
	-release $(LT_RELEASE) ${EXTRA_LDFLAGS}

libmpeg2encpp_la_DEPENDENCIES = $(LIBMJPEGUTILS)
libmpeg2encpp_la_LIBADD = $(LIBMJPEGUTILS)
mpeg2enc_DEPENDENCIES = \
	$(LIBMJPEGUTILS) \
	libmpeg2encpp.la

mpeg2enc_LDADD = \
	libmpeg2encpp.la \
