=== mplex/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# mplex/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Process this file with Automake to produce Makefile.in



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mjpegtools
pkglibdir = $(libdir)/mjpegtools
pkgincludedir = $(includedir)/mjpegtools
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
bin_PROGRAMS = mplex$(EXEEXT)

# Need to do this because of the way utils/altivec/* was done - it makes a
# reference to a function (next_larger_quant)  in mpeg2enc's library.  OSX
# doesn't care but Fedora4/PPC's linker gives an undefined symbol error
#am__append_1 = $(top_builddir)/mpeg2enc/libmpeg2encpp.la
subdir = mplex
DIST_COMMON = README $(libmplex_include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in COPYING TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(libmplex_includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
#am__DEPENDENCIES_1 =  \
#	$(top_builddir)/mpeg2enc/libmpeg2encpp.la
libmplex2_la_DEPENDENCIES = $(top_builddir)/utils/libmjpegutils.la \
	$(am__DEPENDENCIES_1)
am__objects_1 =
am_libmplex2_la_OBJECTS = libmplex2_la-ac3strm_in.lo \
	libmplex2_la-audiostrm_out.lo libmplex2_la-bits.lo \
	libmplex2_la-decodebufmodel.lo libmplex2_la-dtsstrm_in.lo \
	libmplex2_la-inputstrm.lo libmplex2_la-interact.lo \
	libmplex2_la-lpcmstrm_in.lo libmplex2_la-mpastrm_in.lo \
	libmplex2_la-multiplexor.lo libmplex2_la-padstrm.lo \
	libmplex2_la-stillsstream.lo libmplex2_la-stream_params.lo \
	libmplex2_la-systems.lo libmplex2_la-videostrm_in.lo \
	libmplex2_la-videostrm_out.lo $(am__objects_1)
libmplex2_la_OBJECTS = $(am_libmplex2_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_mplex_OBJECTS = main.$(OBJEXT)
mplex_OBJECTS = $(am_mplex_OBJECTS)
am__DEPENDENCIES_2 =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmplex2_la_SOURCES) $(mplex_SOURCES)
DIST_SOURCES = $(libmplex2_la_SOURCES) $(mplex_SOURCES)
libmplex_includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libmplex_include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run aclocal-1.9
ALTIVEC_EXTRA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run automake-1.9
AWK = gawk
CC = gcc
CCAS = gcc
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread -Wall -Wunused
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LDFLAGS = 
F77 = 
FFLAGS = 
GTK_CFLAGS = -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/libpng12 -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include  
GTK_LIBS = -L/usr/X11R6/lib -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lfreetype -lfontconfig -lXrender -lX11 -lXext -lpng12 -lz -lglitz -lm  
HAVE_ALTIVEC_FALSE = 
HAVE_ALTIVEC_TRUE = #
HAVE_ASM_MMX_FALSE = #
HAVE_ASM_MMX_TRUE = 
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
HAVE_LIBPNG_FALSE = #
HAVE_LIBPNG_TRUE = 
HAVE_LIBQUICKTIME_FALSE = #
HAVE_LIBQUICKTIME_TRUE = 
HAVE_PPCCPU_FALSE = 
HAVE_PPCCPU_TRUE = #
HAVE_SDL_FALSE = #
HAVE_SDL_TRUE = 
HAVE_V4L_FALSE = #
HAVE_V4L_OR_SDL_FALSE = #
HAVE_V4L_OR_SDL_TRUE = 
HAVE_V4L_TRUE = 
HAVE_X86CPU_FALSE = #
HAVE_X86CPU_TRUE = 
HAVE_X_FALSE = #
HAVE_X_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JPEG_CFLAGS = 
JPEG_LIBS = -ljpeg
LDFLAGS = 
LIBDV_CFLAGS =  
LIBDV_LIBS = -ldv -lm  
LIBGETOPT_LIB = 
LIBM_LIBS = -lm 
LIBOBJS = 
LIBPNG_CFLAGS = -I/usr/include/libpng12  
LIBPNG_LIBS = -lpng12 -lz -lm  
LIBQUICKTIME_CFLAGS = -I/usr/local/include/lqt  
LIBQUICKTIME_LIBS = -L/usr/local/lib -lquicktime -lpthread -lm -lz -ldl  
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 1
LT_CURRENT = 1
LT_RELEASE = 1.9
LT_REVISION = 1
LT_STATIC = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run makeinfo
OBJEXT = o
PACKAGE = mjpegtools
PACKAGE_BUGREPORT = mjpeg-developer@lists.sourceforge.net
PACKAGE_NAME = mjpegtools
PACKAGE_STRING = mjpegtools 1.9.0
PACKAGE_TARNAME = mjpegtools
PACKAGE_VERSION = 1.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PROGRAM_NOPIC = -fno-PIC
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SDLgfx_LIBS = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
V4LCONF_LIBS =  -L/usr/X11R6/lib -lXxf86dga
VERSION = 1.9.0
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
acx_pthread_config = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux
build_alias = 
build_cpu = i686
build_os = linux
build_vendor = suse
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-suse-linux
host_alias = 
host_cpu = i686
host_os = linux
host_vendor = suse
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-suse-linux
target_alias = 
target_cpu = i686
target_os = linux
target_vendor = suse
EXTRA_DIST = \
	README \
	INSTRUCT \
	mpeg_systems_paper_0.99.ps.gz \
	Doxyfile \
	TODO

MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I $(top_srcdir) -I $(top_srcdir)/utils
lib_LTLIBRARIES = libmplex2.la

# ZALPHA is dead (or close enough to being in that state).  If you want to
# enable NON-COMPILABLE code then switch the comment status of the lines below

# ZALPHA_FILES = zalphastrm.hpp zalphastrm_in.cpp zalphastrm_out.cpp
# ZALPHA_FLAGS = -DZALPHA
ZALPHA_FILES = 
ZALPHA_FLAGS = 
libmplex2_la_SOURCES = \
	ac3strm_in.cpp \
	audiostrm_out.cpp \
	bits.cpp \
	decodebufmodel.cpp \
	dtsstrm_in.cpp \
	inputstrm.cpp \
	interact.cpp \
	lpcmstrm_in.cpp \
	mpastrm_in.cpp \
	multiplexor.cpp \
	padstrm.cpp \
	stillsstream.cpp \
	stream_params.cpp \
	systems.cpp \
	videostrm_in.cpp \
	videostrm_out.cpp \
	$(ZALPHA_FILES)

libmplex_includedir = $(pkgincludedir)/mplex
libmplex_include_HEADERS = \
	audiostrm.hpp \
	aunit.hpp \
	aunitbuffer.hpp \
	bits.hpp \
	decodebufmodel.hpp \
	inputstrm.hpp \
	interact.hpp \
	mplexconsts.hpp \
	multiplexor.hpp \
	outputstrm.hpp \
	padstrm.hpp \
	stillsstream.hpp \
	stream_params.hpp \
	systems.hpp \
	videostrm.hpp

libmplex2_la_LDFLAGS = \
	$(LT_STATIC) \
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
	-release $(LT_RELEASE) $(EXTRA_LDFLAGS)

libmplex2_la_LIBADD = $(top_builddir)/utils/libmjpegutils.la \
	$(am__append_1)
libmplex2_la_CXXFLAGS = $(ZALPHA_FLAGS)
mplex_SOURCES = main.cpp 
mplex_DEPENDENCIES = libmplex2.la
mplex_LDADD = libmplex2.la  $(LIBM_LIBS)
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  mplex/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  mplex/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
