=== y4mutils/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# y4mutils/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for y4mutils

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mjpegtools
pkglibdir = $(libdir)/mjpegtools
pkgincludedir = $(includedir)/mjpegtools
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
#am__append_1 = $(top_builddir)/mpeg2enc/libmpeg2encpp.la
bin_PROGRAMS = yuvmedianfilter$(EXEEXT) pgmtoy4m$(EXEEXT) \
	y4mshift$(EXEEXT) y4mspatialfilter$(EXEEXT) y4mhist$(EXEEXT) \
	y4mblack$(EXEEXT) y4mtoyuv$(EXEEXT) y4minterlace$(EXEEXT) \
	yuv4mpeg$(EXEEXT) y4mivtc$(EXEEXT) yuyvtoy4m$(EXEEXT) \
	$(am__EXEEXT_1)
am__append_2 = y4mtoqt qttoy4m
subdir = y4mutils
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = y4mtoqt$(EXEEXT) \
	qttoy4m$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_pgmtoy4m_OBJECTS = pgmtoy4m.$(OBJEXT)
pgmtoy4m_OBJECTS = $(am_pgmtoy4m_OBJECTS)
#am__DEPENDENCIES_1 =  \
#	$(top_builddir)/mpeg2enc/libmpeg2encpp.la
am__DEPENDENCIES_2 = $(top_builddir)/utils/libmjpegutils.la \
	$(am__DEPENDENCIES_1)
pgmtoy4m_DEPENDENCIES = $(am__DEPENDENCIES_2)
am__qttoy4m_SOURCES_DIST = qttoy4m.c
am_qttoy4m_OBJECTS =  \
	qttoy4m-qttoy4m.$(OBJEXT)
qttoy4m_OBJECTS = $(am_qttoy4m_OBJECTS)
qttoy4m_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(top_builddir)/lavtools/liblavfile.la
am_y4mblack_OBJECTS = y4mblack.$(OBJEXT)
y4mblack_OBJECTS = $(am_y4mblack_OBJECTS)
y4mblack_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mhist_OBJECTS = y4mhist.$(OBJEXT)
y4mhist_OBJECTS = $(am_y4mhist_OBJECTS)
am__DEPENDENCIES_3 =
y4mhist_DEPENDENCIES = $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
	$(am__DEPENDENCIES_2)
am_y4minterlace_OBJECTS = y4minterlace.$(OBJEXT)
y4minterlace_OBJECTS = $(am_y4minterlace_OBJECTS)
y4minterlace_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mivtc_OBJECTS = y4mivtc.$(OBJEXT)
y4mivtc_OBJECTS = $(am_y4mivtc_OBJECTS)
y4mivtc_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mshift_OBJECTS = y4mshift.$(OBJEXT)
y4mshift_OBJECTS = $(am_y4mshift_OBJECTS)
y4mshift_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_y4mspatialfilter_OBJECTS = y4mspatialfilter.$(OBJEXT)
y4mspatialfilter_OBJECTS = $(am_y4mspatialfilter_OBJECTS)
y4mspatialfilter_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_3)
am__y4mtoqt_SOURCES_DIST = y4mtoqt.c
am_y4mtoqt_OBJECTS =  \
	y4mtoqt-y4mtoqt.$(OBJEXT)
y4mtoqt_OBJECTS = $(am_y4mtoqt_OBJECTS)
y4mtoqt_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(top_builddir)/lavtools/liblavfile.la
am_y4mtoyuv_OBJECTS = y4mtoyuv.$(OBJEXT)
y4mtoyuv_OBJECTS = $(am_y4mtoyuv_OBJECTS)
y4mtoyuv_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuv4mpeg_OBJECTS = yuv4mpeg.$(OBJEXT)
yuv4mpeg_OBJECTS = $(am_yuv4mpeg_OBJECTS)
yuv4mpeg_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuvmedianfilter_OBJECTS = yuvmedianfilter.$(OBJEXT)
yuvmedianfilter_OBJECTS = $(am_yuvmedianfilter_OBJECTS)
yuvmedianfilter_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_yuyvtoy4m_OBJECTS = yuyvtoy4m.$(OBJEXT)
yuyvtoy4m_OBJECTS = $(am_yuyvtoy4m_OBJECTS)
yuyvtoy4m_DEPENDENCIES = $(am__DEPENDENCIES_2)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(pgmtoy4m_SOURCES) $(qttoy4m_SOURCES) $(y4mblack_SOURCES) \
	$(y4mhist_SOURCES) $(y4minterlace_SOURCES) $(y4mivtc_SOURCES) \
	$(y4mshift_SOURCES) $(y4mspatialfilter_SOURCES) \
	$(y4mtoqt_SOURCES) $(y4mtoyuv_SOURCES) $(yuv4mpeg_SOURCES) \
	$(yuvmedianfilter_SOURCES) $(yuyvtoy4m_SOURCES)
DIST_SOURCES = $(pgmtoy4m_SOURCES) $(am__qttoy4m_SOURCES_DIST) \
	$(y4mblack_SOURCES) $(y4mhist_SOURCES) $(y4minterlace_SOURCES) \
	$(y4mivtc_SOURCES) $(y4mshift_SOURCES) \
	$(y4mspatialfilter_SOURCES) $(am__y4mtoqt_SOURCES_DIST) \
	$(y4mtoyuv_SOURCES) $(yuv4mpeg_SOURCES) \
	$(yuvmedianfilter_SOURCES) $(yuyvtoy4m_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run aclocal-1.9
ALTIVEC_EXTRA_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run automake-1.9
AWK = gawk
CC = gcc
CCAS = gcc
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread -Wall -Wunused
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -march=pentium2 -mno-sse -mno-sse2 -mtune=pentium2 -g -O2 -pthread 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LDFLAGS = 
F77 = 
FFLAGS = 
GTK_CFLAGS = -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/libpng12 -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include  
GTK_LIBS = -L/usr/X11R6/lib -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lfreetype -lfontconfig -lXrender -lX11 -lXext -lpng12 -lz -lglitz -lm  
HAVE_ALTIVEC_FALSE = 
HAVE_ALTIVEC_TRUE = #
HAVE_ASM_MMX_FALSE = #
HAVE_ASM_MMX_TRUE = 
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
HAVE_LIBPNG_FALSE = #
HAVE_LIBPNG_TRUE = 
HAVE_LIBQUICKTIME_FALSE = #
HAVE_LIBQUICKTIME_TRUE = 
HAVE_PPCCPU_FALSE = 
HAVE_PPCCPU_TRUE = #
HAVE_SDL_FALSE = #
HAVE_SDL_TRUE = 
HAVE_V4L_FALSE = #
HAVE_V4L_OR_SDL_FALSE = #
HAVE_V4L_OR_SDL_TRUE = 
HAVE_V4L_TRUE = 
HAVE_X86CPU_FALSE = #
HAVE_X86CPU_TRUE = 
HAVE_X_FALSE = #
HAVE_X_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JPEG_CFLAGS = 
JPEG_LIBS = -ljpeg
LDFLAGS = 
LIBDV_CFLAGS =  
LIBDV_LIBS = -ldv -lm  
LIBGETOPT_LIB = 
LIBM_LIBS = -lm 
LIBOBJS = 
LIBPNG_CFLAGS = -I/usr/include/libpng12  
LIBPNG_LIBS = -lpng12 -lz -lm  
LIBQUICKTIME_CFLAGS = -I/usr/local/include/lqt  
LIBQUICKTIME_LIBS = -L/usr/local/lib -lquicktime -lpthread -lm -lz -ldl  
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 1
LT_CURRENT = 1
LT_RELEASE = 1.9
LT_REVISION = 1
LT_STATIC = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/missing --run makeinfo
OBJEXT = o
PACKAGE = mjpegtools
PACKAGE_BUGREPORT = mjpeg-developer@lists.sourceforge.net
PACKAGE_NAME = mjpegtools
PACKAGE_STRING = mjpegtools 1.9.0
PACKAGE_TARNAME = mjpegtools
PACKAGE_VERSION = 1.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PROGRAM_NOPIC = -fno-PIC
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
SDLgfx_LIBS = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
V4LCONF_LIBS =  -L/usr/X11R6/lib -lXxf86dga
VERSION = 1.9.0
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
acx_pthread_config = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux
build_alias = 
build_cpu = i686
build_os = linux
build_vendor = suse
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-suse-linux
host_alias = 
host_cpu = i686
host_os = linux
host_vendor = suse
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /usr/src/packages/SOURCES/mjpegtools-1.9.0rc2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-suse-linux
target_alias = 
target_cpu = i686
target_os = linux
target_vendor = suse
MAINTAINERCLEANFILES = Makefile.in
AM_CFLAGS = -fno-PIC
AM_CPPFLAGS = -I$(top_srcdir) -I$(includedir) -I$(top_srcdir)/utils
LIBMJPEGUTILS = $(top_builddir)/utils/libmjpegutils.la $(am__append_1)
y4mivtc_SOURCES = y4mivtc.c
y4mivtc_LDADD = $(LIBMJPEGUTILS)
yuvmedianfilter_SOURCES = yuvmedianfilter.c
yuvmedianfilter_LDADD = $(LIBMJPEGUTILS)
pgmtoy4m_SOURCES = pgmtoy4m.c
pgmtoy4m_LDADD = $(LIBMJPEGUTILS)
y4mshift_SOURCES = y4mshift.c
y4mshift_LDADD = $(LIBMJPEGUTILS)
y4mspatialfilter_SOURCES = y4mspatialfilter.c
y4mspatialfilter_LDADD = $(LIBMJPEGUTILS) $(LIBM_LIBS)
y4mhist_SOURCES = y4mhist.c
y4mhist_LDADD = $(SDL_LIBS) $(SDLgfx_LIBS) $(LIBMJPEGUTILS)
y4mblack_SOURCES = y4mblack.c
y4mblack_LDADD = $(LIBMJPEGUTILS)
y4minterlace_SOURCES = y4minterlace.c
y4minterlace_LDADD = $(LIBMJPEGUTILS)
y4mtoqt_SOURCES = y4mtoqt.c
y4mtoqt_CPPFLAGS = $(AM_CPPFLAGS) -I$(top_srcdir)/lavtools $(LIBQUICKTIME_CFLAGS)
y4mtoqt_LDADD = $(LIBMJPEGUTILS) $(top_builddir)/lavtools/liblavfile.la
qttoy4m_SOURCES = qttoy4m.c
qttoy4m_CPPFLAGS = $(AM_CPPFLAGS) -I$(top_srcdir)/lavtools $(LIBQUICKTIME_CFLAGS)
qttoy4m_LDADD = $(LIBMJPEGUTILS) $(top_builddir)/lavtools/liblavfile.la
y4mtoyuv_SOURCES = y4mtoyuv.c
y4mtoyuv_LDADD = $(LIBMJPEGUTILS)
yuv4mpeg_SOURCES = yuv4mpeg.c
yuv4mpeg_LDADD = $(LIBMJPEGUTILS)
yuyvtoy4m_SOURCES = yuyvtoy4m.c
yuyvtoy4m_LDADD = $(LIBMJPEGUTILS)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  y4mutils/Makefile'; \
	cd $(top_srcdir) && \
